Zum Hauptinhalt springen

Remove a ssh-key. Replaced by DELETE /v2/users/self/ssh-keys/{sshKeyId}

DELETE/v2/signup/ssh/{sshKeyId}
API-Version
v2
Request-Methode
DELETE
Operation-ID
deprecated-user-delete-ssh-key

Request​

  • sshKeyIdstring (uuid)required

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/signup/ssh/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.deprecatedUserDeleteSshKey({
"sshKeyId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\DeprecatedUserDeleteSshKey\DeprecatedUserDeleteSshKeyRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeprecatedUserDeleteSshKeyRequest(
sshKeyId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->user()->deprecatedUserDeleteSshKey($request);

var_dump($response->getBody();

Auf dieser Seite